package com.sr3uncheat;

import java.io.File;

import javax.swing.filechooser.FileFilter;

/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author qwer <hellraz0r.386@googlemail.com>
 */
public class SavegameFileFilter extends FileFilter
{
	@Override
	public boolean accept(final File f)
	{
		return (f.isDirectory() && (!f.getParentFile().getParent().endsWith("Steam\\userdata") || f
				.getName().equals("55230")))
				|| (f.getName().startsWith("sr3save") && f.getName().endsWith(".sr3s_pc"));
	}
	
	@Override
	public String getDescription()
	{
		return "SR 3 Savegames (sr3save_*.sr3s_pc)";
	}
	
}
